Bug 1110496 (CVE-2014-3005) - CVE-2014-3005 zabbix: local file inclusion via XXE attack
Summary: CVE-2014-3005 zabbix: local file inclusion via XXE attack
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-3005
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140617,repor...
Depends On: 1110498 1110499 1110500 1110501 1110502 1110503
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-17 19:53 UTC by Vincent Danen
Modified: 2019-06-08 20:05 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-15 14:46:03 UTC


Attachments (Terms of Use)

Description Vincent Danen 2014-06-17 19:53:54 UTC
It was reported [1],[2] that the Zabbix frontend supported an XML data import feature, where on the server it used DOMDocument to parse the XML.  By default, DOMDocument also parses the external DTD, which could allow a remote attacker to use a crafted XML file causing Zabbix to read an arbitrary local file, and send the contents of the specified file to a remote server.

This is fixed upstream via:

* svn://svn.zabbix.com/branches/dev/ZBX-8151-18 r46594 for 1.8
* svn://svn.zabbix.com/branches/dev/ZBX-8151-20 r46600 for 2.0+

[1] https://support.zabbix.com/browse/ZBX-8151
[2] http://www.pnigos.com/?p=273

Comment 2 Vincent Danen 2014-06-17 19:56:18 UTC
Created zabbix22 tracking bugs for this issue:

Affects: epel-6 [bug 1110500]

Comment 3 Vincent Danen 2014-06-17 19:56:21 UTC
Created zabbix tracking bugs for this issue:

Affects: fedora-all [bug 1110498]
Affects: epel-6 [bug 1110499]
Affects: epel-7 [bug 1110501]

Comment 4 Vincent Danen 2014-06-17 19:56:24 UTC
Created zabbix20 tracking bugs for this issue:

Affects: epel-all [bug 1110502]

Comment 5 Fedora Update System 2014-06-30 10:26:22 UTC
zabbix-2.0.12-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-06-30 10:32:45 UTC
zabbix-2.0.12-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-07-07 19:02:38 UTC
zabbix20-2.0.12-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-07-07 19:03:46 UTC
zabbix20-2.0.12-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-07-07 19:03:54 UTC
zabbix-1.8.20-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.